Mail archive
alpine-aports

[alpine-aports] [PATCH] main/libnl3: upgrade to 3.2.28

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 15 Aug 2016 16:02:28 +0200

---
 main/libnl3/APKBUILD | 28 +++++++++++++---------------
 1 file changed, 13 insertions(+), 15 deletions(-)
diff --git a/main/libnl3/APKBUILD b/main/libnl3/APKBUILD
index 25cac29..9e3cae6 100644
--- a/main/libnl3/APKBUILD
+++ b/main/libnl3/APKBUILD
_at_@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=libnl3
-pkgver=3.2.27
+pkgver=3.2.28
 pkgrel=0
 pkgdesc="Library for applications dealing with netlink sockets"
 url="http://www.infradead.org/~tgr/libnl/"
_at_@ -11,31 +11,29 @@ makedepends="linux-headers flex bison libtool autoconf automake"
 subpackages="$pkgname-dev $pkgname-doc $pkgname-cli"
 source="https://github.com/thom311/libnl/releases/download/libnl${pkgver//./_}/libnl-$pkgver.tar.gz"
 
-_builddir="$srcdir"/libnl-$pkgver
-
+builddir="$srcdir"/libnl-$pkgver
 prepare () {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -s -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-	autoreconf -vif
+	default_prepare || return 1
+	cd "$builddir"
+	autoreconf -vif || return 1
 }
 
 build () {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
 		--disable-static \
 		|| return 1
 	make || return 1
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 }
 
_at_@ -48,6 +46,6 @@ cli() {
 	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/  || return 1
 }
 
-md5sums="cec19f941b79a38d9eb92dbc171d6dbd  libnl-3.2.27.tar.gz"
-sha256sums="4bbbf92b3c78a90f423cf96260bf419a28b75db8cced47051217a56795f58ec6  libnl-3.2.27.tar.gz"
-sha512sums="f66d1c42eef75f6a1008abd6850f00abb0290d49bb685b4df43464c4dbf57d68fd4551f2a77bb2f375fd0a342b73cfd54d17c791f01ea43ce02683c8703e3a33  libnl-3.2.27.tar.gz"
+md5sums="bab12db1eb94a42129f712a44be91a67  libnl-3.2.28.tar.gz"
+sha256sums="cd608992c656e8f6e3ab6c1391b162a5a51c49336b9219f7f390e61fc5437c41  libnl-3.2.28.tar.gz"
+sha512sums="b5f145ecafb2625ed1c42594afd6063f112a601077de5c35884b3c3bc8c562b29b52a006ccebd795c127fe69692a82def425c8605afed7e6d441582943e803d9  libnl-3.2.28.tar.gz"
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Aug 15 2016 - 16:02:28 GMT